Bug 1477123 - bonding balance_tlb mode is unbalanced [NEEDINFO]
bonding balance_tlb mode is unbalanced
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.8
Unspecified Linux
high Severity high
: rc
: ---
Assigned To: Jarod Wilson
Amit Supugade
: Regression
Depends On:
Blocks: 1374441 1461138
  Show dependency treegraph
 
Reported: 2017-08-01 05:47 EDT by Jeremy Harris
Modified: 2017-12-18 14:33 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-26 14:01:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bhu: needinfo? (mtesar)


Attachments (Terms of Use)

  None (edit)
Description Jeremy Harris 2017-08-01 05:47:32 EDT
Description of problem:

 RHEL 6.8 appears to have regressed vs 6.5 in balancing a bond in mode 5
(balance-tlb).  Bisection points to 3c16fbcd354a.


Version-Release number of selected component (if applicable):
kernel-2.6.32-380.el6

How reproducible:
Seems 100%

Steps to Reproduce:
1. create a 4-slave bond, balance-tlb, _not_ tlb_dynamic_lb=1
2. run multiple-stream traffic (eg 20x iperf)
3. observe packet rate on slaves

Actual results:
  eth1: (21.3400%) 949830
  eth2: (17.7000%) 787894
  eth3: (33.5600%) 1493686
  eth4: (27.3800%) 1218804

Expected results:
  eth1: (24.1300%) 2151911
  eth2: (26.1200%) 2328985
  eth3: (25.3700%) 2262356
  eth4: (24.3700%) 2173108

Additional info:
 tlb_dynamic_lb=1   appears to be a workaround
Comment 6 Jarod Wilson 2017-08-15 12:32:19 EDT
(In reply to Jeremy Harris from comment #0)
> Description of problem:
> 
>  RHEL 6.8 appears to have regressed vs 6.5 in balancing a bond in mode 5
> (balance-tlb).  Bisection points to 3c16fbcd354a.
> 
> 
> Version-Release number of selected component (if applicable):
> kernel-2.6.32-380.el6

Is this kernel version correct? I think the release number (380) is a little low to be 6.8, given that current development builds are in the 700's now. Or was that the version you believe first introduced the problem? If so, what's the most recent kernel tried that still experiences the problem?
Comment 12 Beth Uptagrafft 2017-10-26 14:01:21 EDT
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the
Production 3 Phase, Critical impact Security Advisories (RHSAs) and
selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as
they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase
and will be marked as CLOSED/WONTFIX. If this remains a critical
requirement, please contact Red Hat Customer Support to request
a re-evaluation of the issue, citing a clear business justification. Note
that a strong business justification will be required for re-evaluation.
Red Hat Customer Support can be contacted via the Red Hat Customer Portal
at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.